summaryrefslogtreecommitdiff
path: root/IR-Data/test-suite.sh
diff options
context:
space:
mode:
authorukw2014-09-15 12:38:29 +0000
committerukw2014-09-15 12:38:29 +0000
commit8aaafe9d1b78f92e33e2791a8aa5e0aa877975b9 (patch)
tree9f6d6b9165a67f9a02724e2214ad7ab5ced4c429 /IR-Data/test-suite.sh
parent821c73fc68cc6e81b1945fcd0ddc0aaaf837b8dc (diff)
downloadirmp-8aaafe9d1b78f92e33e2791a8aa5e0aa877975b9.zip
Version 2.6.4: changed timing tolerance of KASEIKYO
git-svn-id: svn://mikrocontroller.net/irmp@146 aeb2e35e-bfc4-4214-b83c-9e8de998ed28
Diffstat (limited to 'IR-Data/test-suite.sh')
-rw-r--r--IR-Data/test-suite.sh55
1 files changed, 28 insertions, 27 deletions
diff --git a/IR-Data/test-suite.sh b/IR-Data/test-suite.sh
index 26d6200..b4ed0ef 100644
--- a/IR-Data/test-suite.sh
+++ b/IR-Data/test-suite.sh
@@ -51,6 +51,7 @@ for j in \
elta_radio.txt \
fdc.txt \
jvc.txt \
+ jvc-rm-rk250-10kHz.txt \
nec-repetition.txt \
nec-skymaster-dt500.txt \
nec.txt \
@@ -71,16 +72,16 @@ do
echo -n "testing $j ... "
if tmpsrc/irmp-10kHz -v < $j | grep -q error
then
- tmpsrc/irmp-10kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-10kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
else
- if tmpsrc/irmp-10kHz -v < $j | grep -q checked
- then
- echo "checked!"
- else
- echo "successful"
- fi
+ if tmpsrc/irmp-10kHz -v < $j | grep -q checked
+ then
+ echo "checked!"
+ else
+ echo "successful"
+ fi
fi
done
@@ -110,16 +111,16 @@ do
echo -n "testing $j ... "
if tmpsrc/irmp-15kHz -v < $j | grep -q error
then
- tmpsrc/irmp-15kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-15kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
else
- if tmpsrc/irmp-15kHz -v < $j | grep -q checked
- then
- echo "checked!"
- else
- echo "successful"
- fi
+ if tmpsrc/irmp-15kHz -v < $j | grep -q checked
+ then
+ echo "checked!"
+ else
+ echo "successful"
+ fi
fi
done
@@ -135,16 +136,16 @@ do
echo -n "testing $j ... "
if tmpsrc/irmp-20kHz -v < $j | grep -q error
then
- tmpsrc/irmp-20kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-20kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
else
- if tmpsrc/irmp-20kHz -v < $j | grep -q checked
- then
- echo "checked!"
- else
- echo "successful"
- fi
+ if tmpsrc/irmp-20kHz -v < $j | grep -q checked
+ then
+ echo "checked!"
+ else
+ echo "successful"
+ fi
fi
done